pascal_Input_ID = {
	PA_APP_REQUEST =		         0x8000,
	PA_RESET_BUTTON =            0x8001,
	PA_SCREEN_BUTTON =           0x8002,
	PA_ECELL_WEAR_RESET =        0x8003,
	PA_MANIFOLD_WEAR_RESET =     0x8004,
	PA_PH_WEAR_RESET =           0x8005,
	PA_WEAR_RESET =              0x8006,
	PA_HOME_BUTTON =             0x8007,
	PA_INFO_BUTTON =             0x8008,
}

pascal_Display_ID = {
	PO_ANOLYTE_GENERATED =       0x0001,
  PO_CATHOLYTE_GENERATED =     0x0002,
  PO_ECELL_PERCENT=            0x0003,
  PO_MANIFOLD_PERCENT =        0x0004,
  PO_PH_PERCENT =              0x0005,
  PO_ANOLYTE_VOLTAGE =         0x0006,
  PO_ANOLYTE_CURRENT =         0x0007,
  PO_CATHOLYTE_VOLTAGE =       0x0008,
  PO_CATHOLYTE_CURRENT =       0x0009,
  PO_ECELL_SUPPLY_VOLTAGE =    0x000A,
  PO_AMBIENT_TEMP =            0x000B,
  PO_ANOLYTE_TEMP =            0x000C,
  PO_CATHOLYTE_TEMP =          0x000D,
  PO_PROBE1_CONDUCTIVITY =     0x000E,
  PO_PROBE2_CONDUCTIVITY =     0x000F,
  PO_PH_PROBE_DATA =           0x0010,
  PO_SPM_DATA =                0x0011,
  PO_PROBE_DELTA =             0x0012,
  PO_PROBE1_AVERAGE =          0x0013,
  PO_PROBE2_AVERAGE =          0x0014,
  PO_CATHOLYTE_FULL_SWITCH =   0x0015,
  PO_CATHOLYTE_EMPTY_SWITCH =  0x0016,
  PO_ANOLYTE_FULL_SWITCH =     0x0017,
  PO_ANOLYTE_EMPTY_SWITCH =    0x0018,
  PO_PROBE1_MK =               0x0019,
  PO_PROBE1_HIGH =             0x001A,
  PO_PROBE1_LOW =              0x001B,
  PO_PROBE2_MK =               0x001C,
  PO_PROBE2_HIGH =             0x001D,
  PO_PROBE2_LOW =              0x001E,
  PO_REGEN_STATE =             0x001F,
  PO_SOFTENER_STATUS =         0x0020,
  PO_DWELL_TIME =              0x0021,
  PO_SOFTENER_TIME_REMAINING = 0x0022,
  PO_BRINE_VOLTAGE =           0x0023,
  PO_BRINE_LEVEL =             0x0024,
  PO_BRINE_FULL_THRESHOLD =    0x0025,
  PO_BRINE_EMPTY_THRESHOLD =   0x0026,
  PO_WATER_TEMP =              0x0027,
  PO_ACCUMULATED_GENERATED =   0x0028,
  PO_SIGNAL_STRENGTH =         0x0029,
  PO_CELL_SERIAL =             0x002A,
  PO_SIM_NUMBER =              0x002B,
  PO_PHONE_MSIDSN_NUMBER =     0x002C,
  PO_CELL_REGISTERED =         0x002D,
  PO_TASK_STATUS =             0x002E,
  PO_PROBE_AVERAGES =          0x002F,
  PO_GUI_STATE =               0x0030,
  PO_ECELL_ACCUM =             0x0031,
  PO_MANIFOLD_ACCUM =          0x0032,  
  PO_PH_ACCUM =                0x0033,
  PO_SECOND_BOOT =             0x0034,
  PO_WEAR_RESET =              0x0035,
  PO_APP_STATE =               0x1000,
  PO_REV_INFO =                0x1001,
  PO_FRMWARE_STATUS =          0x1002,
  PO_MACHINE_FAULT =           0x1003,
  PO_COMPONENT_WEAR_WARNING =  0x1004,
  PO_MACHINE_WARNING =         0x1005,
}